## python-pyluach 1.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/luachcal.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/luachcal.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/luachcal"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/luachcal"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
sphinxcontrib-napoleon
sphinx_rtd_theme
pyluach

=== debian/changelog ===
python-pyluach (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration.
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Feb 2020 16:17:37 -0500

python-pyluach (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #945439).

 -- Michael Fladischer <fladi@debian.org>  Sun, 24 Nov 2019 21:03:47 +0100

=== debian/control ===
Source: python-pyluach
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.5.0
Homepage: https://github.com/simlist/pyluach/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyluach
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyluach.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-pyluach-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Hebrew dates and Hebrew-Gregorian conversions (Documentation)
 Pyluach is a Python package for manipulating Hebrew (Jewish) calendar dates and
 Hebrew-Gregorian conversions.
 .
 Features:
  * Conversion between Hebrew and Gregorian dates
  * Finding the difference between two dates
  * Finding a date at a given duration from the given date
  * Rich comparisons between dates
  * Finding the weekday of a given date
  * Finding the weekly Parsha reading of a given date
 .
 This package contains the documentation.

Package: python3-pyluach
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pyluach-doc,
Description: Hebrew dates and Hebrew-Gregorian conversions (Python3 version)
 Pyluach is a Python package for manipulating Hebrew (Jewish) calendar dates and
 Hebrew-Gregorian conversions.
 .
 Features:
  * Conversion between Hebrew and Gregorian dates
  * Finding the difference between two dates
  * Finding a date at a given duration from the given date
  * Rich comparisons between dates
  * Finding the weekday of a given date
  * Finding the weekly Parsha reading of a given date
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-luach-$1/ \
https://github.com/simlist/pyluach/releases \
/simlist/pyluach/archive/v([\d\.]+)\.tar\.gz

## python-pyluach 1.1.0

=== debian/changelog ===
python-pyluach (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Add debian/gbp.conf.
  * Drop 0001-napoleon-comes-with-sphinx-1.3.patch, fixed by upstream.
  * Add patch that removes image badges to prevent privacy breaches.
  * Bump debhelper version to 13.

 -- Michael Fladischer <fladi@debian.org>  Tue, 30 Jun 2020 17:22:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-pytest,

## python-pyluach 1.2.1

=== requirements.txt ===
alabaster==0.7.12
atomicwrites==1.4.0
attrs==19.3.0
Babel==2.8.0
bleach==3.1.5
certifi==2020.4.5.1
chardet==3.0.4
colorama==0.4.3
docutils==0.16
idna==2.9
imagesize==1.2.0
importlib-metadata==1.6.0
Jinja2==2.11.2
keyring==21.2.1
MarkupSafe==1.1.1
more-itertools==8.3.0
packaging==20.4
pkginfo==1.5.0.1
pluggy==0.13.1
py==1.8.1
Pygments==2.6.1
pyparsing==2.4.7
pytest==5.4.2
pytz==2020.1
pywin32-ctypes==0.2.0
readme-renderer==26.0
requests==2.23.0
requests-toolbelt==0.9.1
six==1.15.0
snowballstemmer==2.0.0
Sphinx==3.0.3
sphinx-rtd-theme==0.4.3
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==1.0.3
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.4
tqdm==4.46.0
twine==3.1.1
urllib3==1.25.9
wcwidth==0.1.9
webencodings==0.5.1
zipp==3.1.0

=== debian/changelog ===
python-pyluach (1.2.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 4.5.1.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Mon, 30 Nov 2020 21:34:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-pyluach
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
@@ -12,10 +12,10 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/simlist/pyluach/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyluach
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyluach.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyluach
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyluach.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-luach-$1/ \
https://github.com/simlist/pyluach/releases \
/simlist/pyluach/archive/v([\d\.]+)\.tar\.gz

## python-pyluach 1.3.0

=== requirements.txt ===
alabaster==0.7.12
atomicwrites==1.4.0
attrs==19.3.0
Babel==2.8.0
backcall==0.2.0
bleach==3.3.0
build==0.4.0
certifi==2020.4.5.1
cffi==1.14.5
chardet==3.0.4
colorama==0.4.3
cryptography==3.4.6
decorator==4.4.2
docutils==0.16
idna==2.9
imagesize==1.2.0
importlib-metadata==4.5.0
ipython==7.21.0
ipython-genutils==0.2.0
jedi==0.18.0
jeepney==0.6.0
Jinja2==3.0.1
keyring==21.2.1
MarkupSafe==2.0.1
more-itertools==8.3.0
packaging==20.4
parso==0.8.1
pep517==0.10.0
pexpect==4.8.0
pickleshare==0.7.5
pkginfo==1.5.0.1
pluggy==0.13.1
prompt-toolkit==3.0.18
ptyprocess==0.7.0
py==1.10.0
pycparser==2.20
Pygments==2.9.0
pyparsing==2.4.7
pytest==5.4.2
pytz==2020.1
pywin32-ctypes==0.2.0
readme-renderer==26.0
requests==2.25.1
requests-toolbelt==0.9.1
rfc3986==1.5.0
SecretStorage==3.3.1
six==1.15.0
snowballstemmer==2.0.0
Sphinx==3.0.3
sphinx-rtd-theme==0.4.3
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==1.0.3
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.4
toml==0.10.2
tqdm==4.46.0
traitlets==5.0.5
twine==3.4.1
urllib3==1.26.5
wcwidth==0.1.9
webencodings==0.5.1
zipp==3.1.0

=== debian/changelog ===
python-pyluach (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Update d/watch to work with github again.
  * Refresh patches.
  * Bump Standards-Version to 4.6.0.1.
  * Update year in d/copyright.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Mon, 20 Dec 2021 22:11:47 +0000

## python-pyluach 1.4.1

=== requirements.txt ===
--- 
+++ 
@@ -1,42 +1,66 @@
 alabaster==0.7.12
+astroid==2.9.3
+asttokens==2.0.5
 atomicwrites==1.4.0
 attrs==19.3.0
-Babel==2.8.0
+Babel==2.9.1
 backcall==0.2.0
+black==22.1.0
 bleach==3.3.0
 build==0.4.0
 certifi==2020.4.5.1
 cffi==1.14.5
 chardet==3.0.4
+click==8.0.4
 colorama==0.4.3
+coverage==6.3.1
 cryptography==3.4.6
 decorator==4.4.2
 docutils==0.16
+execnet==1.9.0
+executing==0.8.2
+flake8==4.0.1
 idna==2.9
 imagesize==1.2.0
 importlib-metadata==4.5.0
-ipython==7.21.0
+ipython==8.0.1
 ipython-genutils==0.2.0
+isort==5.10.1
 jedi==0.18.0
 jeepney==0.6.0
 Jinja2==3.0.1
 keyring==21.2.1
+lazy-object-proxy==1.7.1
 MarkupSafe==2.0.1
+matplotlib-inline==0.1.3
+mccabe==0.6.1
 more-itertools==8.3.0
+mypy-extensions==0.4.3
 packaging==20.4
 parso==0.8.1
+pathspec==0.9.0
 pep517==0.10.0
+pep8==1.7.1
 pexpect==4.8.0
 pickleshare==0.7.5
 pkginfo==1.5.0.1
+platformdirs==2.5.0
 pluggy==0.13.1
 prompt-toolkit==3.0.18
 ptyprocess==0.7.0
+pure-eval==0.2.2
 py==1.10.0
+pycodestyle==2.8.0
 pycparser==2.20
+pyflakes==2.4.0
 Pygments==2.9.0
+pylint==2.12.2
 pyparsing==2.4.7
 pytest==5.4.2
+pytest-cache==1.0
+pytest-flakes==4.0.5
+pytest-pep8==1.0.6
+pytest-pylint==0.18.0
 pytz==2020.1
 pywin32-ctypes==0.2.0
 readme-renderer==26.0
@@ -54,11 +78,15 @@
 sphinxcontrib-jsmath==1.0.1
 sphinxcontrib-qthelp==1.0.3
 sphinxcontrib-serializinghtml==1.1.4
+stack-data==0.2.0
 toml==0.10.2
+tomli==2.0.1
 tqdm==4.46.0
 traitlets==5.0.5
 twine==3.4.1
+typing-extensions==4.1.0
 urllib3==1.26.5
 wcwidth==0.1.9
 webencodings==0.5.1
+wrapt==1.13.3
 zipp==3.1.0

=== docs/requirements.txt ===
Sphinx==3.0.3
sphinx_rtd_theme

=== debian/changelog ===
python-pyluach (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Thu, 31 Mar 2022 21:00:23 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/simlist/pyluach/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyluach
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyluach.git

## python-pyluach 2.2.0

=== docs/requirements.txt ===
Sphinx~=6.1.3
sphinx_rtd_theme

=== debian/changelog ===
python-pyluach (2.2.0-1) unstable; urgency=low

  * New upstream version 2.2.0
  * Refresh patches.
  * Update year in d/copyright.
  * Build using pybuild-plugin-pyproject, dh-sequence-python3 and flit.
  * Add python3-bs4 to Build-Depends, required by tests.
  * Bump Standards-Version to 4.6.2.
  * Add patch to use local objects.inv in intersphinx mapping.

 -- Michael Fladischer <fladi@debian.org>  Fri, 26 Jan 2024 23:03:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,16 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ flit,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-bs4,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/simlist/pyluach/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyluach
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyluach.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pyluach

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-pyluach-doc/usr/share/doc/python-pyluach-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

## python-pyluach 2.3.0

=== requirements.txt ===
alabaster==0.7.13
attrs==22.2.0
Babel==2.11.0
beautifulsoup4==4.11.2
certifi==2022.12.7
charset-normalizer==3.0.1
coverage==7.1.0
docutils==0.19
exceptiongroup==1.1.0
flake8==6.0.0
flit==3.8.0
flit-core==3.8.0
idna==3.4
imagesize==1.4.1
importlib-metadata==6.0.0
iniconfig==2.0.0
Jinja2==3.1.2
MarkupSafe==2.1.2
mccabe==0.7.0
packaging==23.0
pluggy==1.0.0
pycodestyle==2.10.0
pyflakes==3.0.1
Pygments==2.14.0
pyluach==2.1.0
pytest==7.2.1
pytest-cov==4.0.0
pytz==2022.7.1
requests==2.28.2
snowballstemmer==2.2.0
soupsieve==2.3.2.post1
sphinx==6.1.3
sphinx-rtd-theme==1.2.0
sphinxcontrib-applehelp==1.0.4
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==2.0.1
sphinxcontrib-jquery==2.0.0
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.5
tomli==2.0.1
tomli-w==1.0.0
urllib3==1.26.14
zipp==3.13.0

=== debian/changelog ===
python-pyluach (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix some warnings while building documentation.
  * Use dh-sequence-sphinxdoc.
  * Simplify some debhelper overrides.
  * Mark python-pyluach-doc Multi-Arch: foreign.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Oct 2025 00:56:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,17 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  flit,
  pybuild-plugin-pyproject,
  python3-all,
  python3-bs4,
  python3-pytest,
+ python3-pytest-cov,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/simlist/pyluach/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyluach
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyluach.git
@@ -25,6 +27,7 @@
 Package: python-pyluach-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pyluach

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
execute_before_dh_sphinxdoc:
	PYTHONPATH=src python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-pyluach-doc/usr/share/doc/python-pyluach-doc/html
endif

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-luach-$1/ \
https://github.com/simlist/pyluach/tags \
/simlist/pyluach/archive/refs/tags/v([\d\.]+)\.tar\.gz
